
Java Client - Bug #7497

javax.transaction jta 1.0.1B artifact missing from maven central

2015-11-20 16:04 - Robert Waltz

Status: Closed Start date: 2015-11-20

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Story Points:    

Description

Dependency of libclient on JCS is due to the local caching strategy implemented.

JCS is at a 1.3 release level in sonatype. 1.3 was last released on maven central in 2007. 

It has a transitive dependency on javax.transaction:jta:jar:1.0.1B through JCS's dependency on

mysql:mysql-connector-java:jar:3.0.10 .

Since the local caching in java lib client does not use mysql, we can exclude those dependencies in the pom. 

Need to keep an eye on JCS 2.0 to see if it will be released out of beta.

Related issues:

Related to Java Client - Story #6560: in v2, remove LocalCache from get and g... Closed 2014-11-10

Associated revisions

Revision 17904 - 2016-04-19 23:16 - Rob Nahf

fixes: #7497, #6560.  Removed JCS module from the pom, the LocalCache class, and API logic for caching get and getSystemMetadata objects.

Revision 17904 - 2016-04-19 23:16 - Rob Nahf

fixes: #7497, #6560.  Removed JCS module from the pom, the LocalCache class, and API logic for caching get and getSystemMetadata objects.

History

#1 - 2016-03-25 01:32 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.2.0

#2 - 2016-03-29 18:23 - Robert Waltz

add "http://download.java.net/maven/2" as new repository in pom.xml 

java.net.m2repo

java.net Maven 2 Repository

 http://download.java.net/maven/2/

default

 

or exclude the jar from the JCS dependency in libclient.  

JCS is an apache java caching system. 2.0 is in progress, but has not been released yet. We could use JCS 2.0-beta-1, but it is only a beta release.
#3 - 2016-04-01 17:30 - Rob Nahf

- Related to Story #6560: in v2, remove LocalCache from get and getSytemMetadata calls added

#4 - 2016-04-01 17:36 - Rob Nahf

- Assignee set to Rob Nahf

JCS is not used by default in v1 APIs, and not used at all for v2 APIs (because of SIDS).  It is proposed to remove JCS entirely from d1_libclient_java.

Either that, or we can deprecate it's use, and use one of the approaches recommended in the previous comment.

Also note that libclient_java supports  HTTP/1.1 style caching (use of CachingHttpClient) of stable resources, so use of JCS would be redundant.

#5 - 2016-04-19 22:42 - Rob Nahf

at stand-up, we decided to remove JCS from the library, since it is not in use.

#6 - 2016-04-19 23:18 - Rob Nahf

- % Done changed from 0 to 100

- Status changed from New to Closed

removed JCS from the pom, and all code that depended on it. (issue fixed/solved/etc..)
